Package com.avaya.clientservices.unifiedportal

## Class UnifiedPortalMeetingInfo

- java.lang.Object
- - com.avaya.clientservices.unifiedportal.UnifiedPortalMeetingInfo

-     public class UnifiedPortalMeetingInfo
      extends java.lang.Object

  Meeting info returned by Unified Portal. Shall be used to populate `CallCreationInfo` when creating HTTP Meet-me conference call.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UnifiedPortalMeetingInfo​(java.lang.String portalToken, java.lang.String serviceGatewayURL, java.lang.String UCCPURL, MeetingMediaType mediaType, boolean isWebCollaborationServiceEnabled, java.util.Map<java.lang.String,​java.lang.String> extraProperties)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Map<java.lang.String,​java.lang.String>` | `getExtraProperties()` |
    `MeetingMediaType` | `getMediaType()` |
    `java.lang.String` | `getPortalToken()` |
    `java.lang.String` | `getServiceGatewayURL()` |
    `java.lang.String` | `getUCCPURL()` |
    `boolean` | `isWebCollaborationServiceEnabled()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnifiedPortalMeetingInfo

          public UnifiedPortalMeetingInfo​(java.lang.String portalToken,
                                          java.lang.String serviceGatewayURL,
                                          java.lang.String UCCPURL,
                                          MeetingMediaType mediaType,
                                          boolean isWebCollaborationServiceEnabled,
                                          java.util.Map<java.lang.String,​java.lang.String> extraProperties)

      Constructor.
      Parameters:
        `portalToken` - portal token string
        `serviceGatewayURL` - service gateway URL
        `UCCPURL` - UCCP url
        `mediaType` - media type
        `isWebCollaborationServiceEnabled` - boolean value to indicate if web collab service enabled
        `extraProperties` - extra properties map

  - ### Method Detail

    - #### getPortalToken

          public java.lang.String getPortalToken()

      Returns:
        Correlation token provided by Unified Portal.

    - #### getServiceGatewayURL

          public java.lang.String getServiceGatewayURL()

      Returns:
        The Service Gateway (ESG) URL

    - #### getUCCPURL

          public java.lang.String getUCCPURL()

      Returns:
        The URL of the UCCS server. This allows application to establish conference in presentation only mode.

    - #### getMediaType

          public MeetingMediaType getMediaType()

      Returns:
        The media type of the meeting.

    - #### isWebCollaborationServiceEnabled

          public boolean isWebCollaborationServiceEnabled()

      Returns:
        A Boolean value indicating whether Web Collaboration Service is enabled for this meeting.

    - #### getExtraProperties

          public java.util.Map<java.lang.String,​java.lang.String> getExtraProperties()

      Returns:
        A map of extra properties the application may be interested in. Complex property values are JSON-encoded strings.